nvme_mi_admin_get_log_page(9)

NAME
nvme_mi_admin_get_log_page - Retrieve log page data from controller

SYNOPSIS
int nvme_mi_admin_get_log_page (nvme_mi_ctrl_t ctrl , __u32 xfer_len , struct nvme_get_log_args *args );

ARGUMENTS

ctrl
    Controller to query

xfer_len
    The chunk size of the read

args
    Get Log Page command arguments

DESCRIPTION
Performs a Get Log Page Admin command as specified by args. Response data is stored in args->data, which should be a buffer of args->data_len bytes. Resulting data length is stored in args->data_len on successful command completion. This request may be implemented as multiple log page commands, in order to fit within MI message-size limits. See: struct nvme_get_log_args

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.